package com.engine.kq.bean;

/**
 * 右键菜单 
 * @author lvyi
 * */
public enum RightMenuType {
	BTN_SENDMAIL("2051","icon-coms-Send-emails"),//发送邮件
	BTN_SENDSMSMESSAGE("16635","icon-coms-New-SMS"),//发送短信
	BTN_ADDCOWORK("18034","icon-coms-cowork"),//新建协作
	BTN_DOADDWORKPLANBYHRM("18481","icon-coms-Planning-tasks"),//新建日程
	BTN_EDIT("93","icon-coms-edit"),//编辑
	BTN_EditCompanyVirtual("93,34069","icon-coms-edit"),//编辑组织维度
	BTN_SENDEMESSAGE("130343","icon-coms-e-message"),//发起群聊
	BTN_SEARCH("197","icon-coms-search"),//搜索
	BTN_RESEARCH("364","icon-coms-go-back"),//重新搜索
	BTN_EXPORTEXCEL("28343","icon-coms-export"),//EXCEL导出
	BTN_ADDTOGROUP("130759","icon-coms-search"),//加入到组
	BTN_COLUMN("32535","icon-coms-task-list"),//显示列定制
	//BTN_STORE("28111","icon-coms-Collection"),//收藏
	//BTN_HELP("275","icon-coms-help"),//帮助
	BTN_log("83","icon-coms-Print-log"),//日志
	//BTN_PageAddress("21682","icon-coms-PageAddress"),//显示页面地址
	BTN_AddCounrty("82,377","icon-coms-New-Flow"),//新建国家
	BTN_AddProvince("82,800","icon-coms-New-Flow"),//新建省份
	BTN_AddCity("82,493","icon-coms-New-Flow"),//新建城市
	BTN_AddCityTwo("82,81764","icon-coms-New-Flow"),//新建区县
	BTN_Cancel("22151","icon-coms-hide"),//封存
	BTN_DoIsCanceled("22152","icon-coms-display"),//解封
	BTN_BatchCancel("33619","icon-coms-Batch-add-hot"),//批量封存
	BTN_BatchDoIsCanceled("33620","icon-coms-Batch-add"),//批量解封
	BTN_BatchDelete("32136","icon-coms-Batch-delete"),//批量删除
	BTN_BatchRomove("383696","icon-coms-Batch-delete"),//批量移除
	BTN_BatchOrder("25164","icon-coms-task-list"),//批量排序
	BTN_BatchCode("382686","icon-coms-Need-feedback"),//批量编号
	BTN_BatchSetManager("34078","icon-coms-Need-feedback"),//批量编号
	BTN_Import("18596","icon-coms-leading-in"),//导入
	BTN_Import_Resource("17887","icon-coms-leading-in"),//人员导入
	BTN_Import_Org("125523","icon-coms-leading-in"),//组织结构导入
	BTN_Addnew("82","icon-coms-New-Flow"),//新建
	BTN_AddSignature("16387","icon-coms-New-Flow"),//新建签章
	BTN_AddCompanyVirtual("82,34069","icon-coms-New-Flow"),//新建组织维度
	BTN_AddSubCompany("82,141","icon-coms-New-Flow"),//新建分部
	BTN_AddSubCompanySibling("82,17897","icon-coms-New-Flow"),//新建同级分部
	BTN_AddSubCompanyChild("82,17898","icon-coms-New-Flow"),//新建下级分部
	BTN_AddDepartment("82,124","icon-coms-New-Flow"),//新建部门
	BTN_AddDepartmentSibling("82,17899","icon-coms-New-Flow"),//新建同级部门
	BTN_AddDepartmentChild("82,17587","icon-coms-New-Flow"),//新建下级部门
	BTN_AddResource("15005","icon-coms-New-Flow"),//新建人员
	BTN_AddResourceVirtual("34100","icon-coms-New-Flow"),//加入到多维组织
	BTN_AddResourceToVirtual("383694","icon-coms-New-Flow"),//添加人员
	BTN_AddResourceToGroup("130759","icon-coms-New-Flow"),//加入到组
	BTN_AddVirtualCompany("82,34069","icon-coms-New-Flow"),//新建组织维度
	BTN_FnaBudgetView("386","icon-coms-Detailed"),//预算
	BTN_FnaExpenseDetail("428","icon-coms-Detailed"),//收支
	BTN_Delete("91","icon-coms-delete"),//删除
	BTN_AddJobGroup("82,805","icon-coms-New-Flow"),//新建职务类别
	BTN_ImportJobTitle("125443","icon-coms-leading-in"),//岗位体系导入
	BTN_AddJobActivity("82,1915","icon-coms-New-Flow"),//新建职务
	BTN_AddJobTitle("125302","icon-coms-New-Flow"),//新建岗位
	BTN_Save("86","icon-coms-Preservation"),//保存
	BTN_DepartmentRoles("122","icon-coms-currency-Customer"),//角色
	BTN_Commit("615","icon-coms-Branch"),//保存
	BTN_CreateSalary("15845","icon-coms-content-o"),//生成工资单
	BTN_CloseSalary("19575","icon-coms-integration-o"),//关闭工资单
	BTN_ChangeSalary("19580","icon-coms-currency-Process"),//调整薪酬设置
	BTN_SendSalary("15848","icon-coms-Collection"),//发送工资单
	BTN_ExportSalary("17416,503","icon-coms-PageAddress"),//导出工资单
	BTN_HistorySalary("19576","icon-coms-reportform"),//历史工资单
	BTN_Return("1290","icon-coms-Return"),//返回
	BTN_Export_Excel("28343","icon-coms-export"),//导出Excel
	BTN_Copy("77","icon-coms-edit"),//复制
	BTN_Join("2195","icon-coms-Branch"),//保存
	BTN_Apply("129","icon-coms-Branch"),//申请
	BTN_Range("6104","icon-coms-Branch"),//公开范围
	BTN_BatchSet("33511","icon-coms-Flow-setting"),//批量设置
	BTN_SyncSet("385814","icon-coms-Update-synchronization"),//同步默认方式
	BTN_DetailInfo("15729","icon-coms-investigate"),//具体信息
	BTN_SetUserIcon("28062","icon-coms-upload"),//设置头像
	BTN_Rp_Excel("383381","icon-coms-export"),//导出清单到Excel
	BTN_KQ_TYPE("383381","icon-coms-investigate"),//考勤方式
	BTN_BatchEditing("15839","icon-coms-BatchEditing-Hot"),//批处理
	BTN_Initialization("390425","icon-coms-Flow-setting"),//开始初始化
	BTN_Init("20873","icon-coms-Flow-setting"),//初始化
	BTN_SHOW_NOACCOUNT("500013","icon-coms-Flow-setting"),//不显示无账号人员
	BTN_KQ_REPORT_FORMAT("510380","icon-coms-investigate"),//重新计算考勤数据
	BTN_KQ_Refresh("354","icon-coms-Update-synchronization"),//刷新
	BTN_CREATE_GROUP("30131","icon-coms-New-Flow"),//新建分组
	BTN_EDIT_GROUP("383049","icon-coms-edit"),//分组维护
	BTN_SAVE_TEMPLETE("18418","icon-coms-Branch"),//存为模板
	BTN_SET_ORDER("389339","icon-coms-Flow-setting"),//设置默认排序
	;

	private String labelids;
	private String icon;
	
	private RightMenuType(String labelids,String icon){
		this.labelids = labelids;
		this.icon = icon;
	}

	public String getLabelids() {
		return labelids;
	}

	public void setLabelids(String labelids) {
		this.labelids = labelids;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

}
